Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class TranscodingHints

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.apache.batik.transcoder.TranscodingHints

All Implemented Interfaces:
  Serializable, Cloneable, Map

    public class TranscodingHints

extends HashMap

The `TranscodingHints` class defines a way to pass transcoding parameters or options to any transcoders.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TranscodingHints.Key` Defines the base type of all keys used to control various aspects of the transcoding operations.

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`TranscodingHints()` Constructs a new empty `TranscodingHints`.
`TranscodingHints(Map init)` Constructs a new `TranscodingHints` with keys and values initialized from the specified Map object (which may be null).

Method Summary
`boolean` | `containsKey(Object key)` Returns `true` if this `TranscodingHints` contains a mapping for the specified key, false otherwise.
`Object` | `get(Object key)` Returns the value to which the specified key is mapped.
`Object` | `put(Object key, Object value)` Maps the specified `key` to the specified `value` in this `TranscodingHints` object.
`void` | `putAll(Map m)` Copies all of the mappings from the specified `Map` to this `TranscodingHints`.
`void` | `putAll(TranscodingHints hints)` Copies all of the keys and corresponding values from the specified `TranscodingHints` object to this `TranscodingHints` object.
`Object` | `remove(Object key)` Removes the key and its corresponding value from this `TranscodingHints` object.

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, entrySet, isEmpty, keySet, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### TranscodingHints

    public TranscodingHints()

  Constructs a new empty `TranscodingHints`.

### TranscodingHints

    public TranscodingHints(Map init)

  Constructs a new `TranscodingHints` with keys and values initialized from the specified Map object (which may be null).

  Parameters:
    `init` - a map of key/value pairs to initialize the hints or null if the object should be empty

Method Detail

### containsKey

    public boolean containsKey(Object key)

  Returns `true` if this `TranscodingHints` contains a mapping for the specified key, false otherwise.

  Specified by:
    `containsKey` in interface `Map`
  Overrides:
    `containsKey` in class `HashMap`
  Parameters:
    `key` - key whose present in this `TranscodingHints` is to be tested.
  Throws:
    `ClassCastException` - key is not of type `TranscodingHints.Key`

### get

    public Object get(Object key)

  Returns the value to which the specified key is mapped.

  Specified by:
    `get` in interface `Map`
  Overrides:
    `get` in class `HashMap`
  Parameters:
    `key` - a trancoding hint key
  Throws:
    `ClassCastException` - key is not of type `TranscodingHints.Key`

### put

    public Object put(Object key,
                      Object value)

  Maps the specified `key` to the specified `value` in this `TranscodingHints` object.

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `HashMap`
  Parameters:
    `key` - the trancoding hint key.
    `value` - the trancoding hint value.
  Throws:
    `IllegalArgumentException` - value is not appropriate for the specified key.
    `ClassCastException` - key is not of type `TranscodingHints.Key`

### remove

    public Object remove(Object key)

  Removes the key and its corresponding value from this `TranscodingHints` object.

  Specified by:
    `remove` in interface `Map`
  Overrides:
    `remove` in class `HashMap`
  Parameters:
    `key` - the trancoding hints key that needs to be removed
  Throws:
    `ClassCastException` - key is not of type `TranscodingHints.Key`

### putAll

    public void putAll(TranscodingHints hints)

  Copies all of the keys and corresponding values from the specified `TranscodingHints` object to this `TranscodingHints` object.

### putAll

    public void putAll(Map m)

  Copies all of the mappings from the specified `Map` to this `TranscodingHints`.

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `HashMap`
  Parameters:
    `m` - mappings to be stored in this `TranscodingHints`.
  Throws:
    `ClassCastException` - key is not of type `TranscodingHints.Key`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.